opj_dec_memory_marker_handler Struct Reference

## Data Fields

OPJ_UINT32 | id
| marker value
OPJ_UINT32 | states
| value of the state when the marker can appear
OPJ_BOOL(* | handler )(opj_j2k_t *p_j2k, OPJ_BYTE *p_header_data, OPJ_UINT32 p_header_size, opj_event_mgr_t *p_manager)
| action linked to the marker

## Field Documentation

## handler

OPJ_BOOL(* opj_dec_memory_marker_handler::handler) (opj_j2k_t *p_j2k, OPJ_BYTE *p_header_data, OPJ_UINT32 p_header_size, opj_event_mgr_t *p_manager)

action linked to the marker

Referenced by opj_j2k_read_header_procedure(), and opj_j2k_read_tile_header().

## id

OPJ_UINT32 opj_dec_memory_marker_handler::id

marker value

Referenced by opj_j2k_get_marker_handler(), opj_j2k_read_header_procedure(), opj_j2k_read_tile_header(), and opj_j2k_read_unk().

## states

OPJ_UINT32 opj_dec_memory_marker_handler::states

value of the state when the marker can appear

Referenced by opj_j2k_read_header_procedure(), opj_j2k_read_tile_header(), and opj_j2k_read_unk().

The documentation for this struct was generated from the following file:

- j2k.c